# Test: critical_actions with empty strings
# Expected: FAIL
# Error code: custom
# Error path: agent.critical_actions[1]
# Error message: agent.critical_actions[] must be a non-empty string

agent:
  metadata:
    id: empty-action-string
    name: Empty Action String
    title: Empty Action String
    icon: ❌
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  critical_actions:
    - Valid action
    - "   "
    - Another valid action

  menu:
    - trigger: help
      description: Show help
      action: display_help
